#!/usr/bin/python
#
# Master Of Orion 2 Graphics Viewer
# Version: 0.0.8 (codename: screwedexams, blah!)
#
# Copyright (c) Karol "Wolverine" Tomala 2007
# Licensed under GPLv2 (see LICENSE.TXT for details)
#

# System import (needed for stderr)

import sys

# Program optimization (Psyco)

if __name__=='__main__':
    # Import Psyco if available
    try:
        import psyco
        psyco.full()
    except ImportError:
	sys.stderr.write('Warning: Psyco not found! Proceeding without optimization. Program execution may be slow!\n')
	sys.stderr.flush()
        pass

# General Imports

from qt import *

# Program specific imports (modules)

from frmmain_impl import frmMain_impl

# Functions code

# Main code

if __name__=='__main__':
    app=QApplication(sys.argv)
    app.connect(app,SIGNAL("lastWindowClosed()"),app,SLOT("quit()"))
    win=frmMain_impl()
    app.setMainWidget(win)
    win.show()
    app.exec_loop()
    